#pragma once

#include "ResizableLib/ResizableDialog.h"
#include "RichEditCtrlX.h"
#include "Addons/ModelessDialogs/Modeless.h" // X-Ray :: ModelessDialogs

// CNetworkInfoDlg dialog

// X-Ray :: ModelessDialogs :: Start
/*
class CNetworkInfoDlg : public CResizableDialog
*/
class CNetworkInfoDlg : public CModResizableDialog
// X-Ray :: ModelessDialogs :: End
{
	DECLARE_DYNAMIC(CNetworkInfoDlg)

public:
	CNetworkInfoDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CNetworkInfoDlg();

// Dialog Data
	enum { IDD = IDD_NETWORK_INFO };

protected:
	CRichEditCtrlX m_info;

	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
};

void CreateNetworkInfo(CRichEditCtrlX& rCtrl, CHARFORMAT& rcfDef, CHARFORMAT& rcfBold, bool bFullInfo = false);
